## org.eclipse.emf.ecoretools.diagram.ui.outline
Class AdditionalResources

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.ui.outline.AdditionalResources

    public class AdditionalResources

extends java.lang.Object

This object computes all the loaded resources from a resource set.
creation : 8 juin 2005

Constructor Summary
`AdditionalResources(org.eclipse.emf.ecore.resource.ResourceSet rSet)` Constructor

Method Summary
`java.util.List<org.eclipse.emf.ecore.resource.Resource>` `getResources()` Returns all the resources without the DI and the domain resources

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdditionalResources

    public AdditionalResources(org.eclipse.emf.ecore.resource.ResourceSet rSet)

  Constructor

  Parameters:
    `rSet` - the ResourceSet to be used to load these Additional Resources

Method Detail

### getResources

    public java.util.List<org.eclipse.emf.ecore.resource.Resource> getResources()

  Returns all the resources without the DI and the domain resources

  Returns:
    the list of additional resources

Copyright 2007 Anyware Technologies. All Rights Reserved.